[arch-commits] Commit in mpfr/repos (8 files)

Allan McRae allan at archlinux.org
Wed Jul 4 03:39:00 UTC 2012


    Date: Tuesday, July 3, 2012 @ 23:39:00
  Author: allan
Revision: 162956

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  mpfr/repos/testing-i686/
  mpfr/repos/testing-i686/PKGBUILD
    (from rev 162954, mpfr/trunk/PKGBUILD)
  mpfr/repos/testing-i686/mpfr-3.1.0.p10.patch
    (from rev 162954, mpfr/trunk/mpfr-3.1.0.p10.patch)
  mpfr/repos/testing-i686/mpfr.install
    (from rev 162954, mpfr/trunk/mpfr.install)
  mpfr/repos/testing-x86_64/
  mpfr/repos/testing-x86_64/PKGBUILD
    (from rev 162955, mpfr/trunk/PKGBUILD)
  mpfr/repos/testing-x86_64/mpfr-3.1.0.p10.patch
    (from rev 162955, mpfr/trunk/mpfr-3.1.0.p10.patch)
  mpfr/repos/testing-x86_64/mpfr.install
    (from rev 162955, mpfr/trunk/mpfr.install)

-----------------------------+
 testing-i686/PKGBUILD       |   36 ++++++++++++++++++++++++++++++++++++
 testing-i686/mpfr.install   |   20 ++++++++++++++++++++
 testing-x86_64/PKGBUILD     |   36 ++++++++++++++++++++++++++++++++++++
 testing-x86_64/mpfr.install |   20 ++++++++++++++++++++
 4 files changed, 112 insertions(+)

Copied: mpfr/repos/testing-i686/PKGBUILD (from rev 162954, mpfr/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-07-04 03:39:00 UTC (rev 162956)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: damir <damir at archlinux.org>
+
+pkgname=mpfr
+_pkgver=3.1.1
+#_patchlevel=p1
+#pkgver=${_pkgver}.${_patchlevel}
+pkgver=${_pkgver}
+pkgrel=1
+pkgdesc="Multiple-precision floating-point library"
+arch=('i686' 'x86_64')
+url="http://www.mpfr.org/"
+license=('LGPL')
+depends=('gmp>=5.0')
+options=('!libtool')
+install=mpfr.install
+source=(http://www.mpfr.org/mpfr-current/mpfr-${_pkgver}.tar.xz{,.asc})
+md5sums=('91d51c41fcf2799e4ee7a7126fc95c17'
+         '91b187a2229211e543ba6fb82a079b2c')
+
+build() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  ./configure --prefix=/usr --enable-thread-safe --enable-shared
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: mpfr/repos/testing-i686/mpfr-3.1.0.p10.patch (from rev 162954, mpfr/trunk/mpfr-3.1.0.p10.patch)
===================================================================
(Binary files differ)

Copied: mpfr/repos/testing-i686/mpfr.install (from rev 162954, mpfr/trunk/mpfr.install)
===================================================================
--- testing-i686/mpfr.install	                        (rev 0)
+++ testing-i686/mpfr.install	2012-07-04 03:39:00 UTC (rev 162956)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(mpfr.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}

Copied: mpfr/repos/testing-x86_64/PKGBUILD (from rev 162955, mpfr/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-07-04 03:39:00 UTC (rev 162956)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: damir <damir at archlinux.org>
+
+pkgname=mpfr
+_pkgver=3.1.1
+#_patchlevel=p1
+#pkgver=${_pkgver}.${_patchlevel}
+pkgver=${_pkgver}
+pkgrel=1
+pkgdesc="Multiple-precision floating-point library"
+arch=('i686' 'x86_64')
+url="http://www.mpfr.org/"
+license=('LGPL')
+depends=('gmp>=5.0')
+options=('!libtool')
+install=mpfr.install
+source=(http://www.mpfr.org/mpfr-current/mpfr-${_pkgver}.tar.xz{,.asc})
+md5sums=('91d51c41fcf2799e4ee7a7126fc95c17'
+         '91b187a2229211e543ba6fb82a079b2c')
+
+build() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  ./configure --prefix=/usr --enable-thread-safe --enable-shared
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: mpfr/repos/testing-x86_64/mpfr-3.1.0.p10.patch (from rev 162955, mpfr/trunk/mpfr-3.1.0.p10.patch)
===================================================================
(Binary files differ)

Copied: mpfr/repos/testing-x86_64/mpfr.install (from rev 162955, mpfr/trunk/mpfr.install)
===================================================================
--- testing-x86_64/mpfr.install	                        (rev 0)
+++ testing-x86_64/mpfr.install	2012-07-04 03:39:00 UTC (rev 162956)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(mpfr.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list